Create a new subscription for a contract - Gable Docs

Create a new subscription for a contract

cURL

curl --request POST \
  --url https://demo-api.gable.ai/v0/contract-subscription \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '\n{
  "dataContractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "githubHandle": "<string>",
  "slackChannel": "<string>"
}\n'

Python

import requests

url = "https://demo-api.gable.ai/v0/contract-subscription"

payload = {
    "dataContractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>",
    "githubHandle": "<string>",
    "slackChannel": "<string>"
}
headers = {
    "X-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    dataContractId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    email: '<string>',
    githubHandle: '<string>',
    slackChannel: '<string>'
  })
};

fetch('https://demo-api.gable.ai/v0/contract-subscription', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo-api.gable.ai/v0/contract-subscription",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'dataContractId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    'userId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    'email' => '<string>',
    'githubHandle' => '<string>',
    'slackChannel' => '<string>'
]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-KEY: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://demo-api.gable.ai/v0/contract-subscription"

payload := strings.NewReader("{\n  \"dataContractId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n  \"userId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n  \"email\": \"<string>\",\n  \"githubHandle\": \"<string>\",\n  \"slackChannel\": \"<string>\"}\n")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-KEY", "<api-key>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}

Response Example

Success Response

{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dataContractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "githubHandle": "<string>",
  "slackChannel": "<string>"
}

Error Response

{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}